JexlException.Annotation (Apache Commons JEXL 3.6.3 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlException, class: Annotation

Package org.apache.commons.jexl3

# Class JexlException.Annotation

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JexlException.Annotation

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JexlException`

public static class JexlException.Annotation extends JexlException
Thrown when an annotation handler throws an exception.

Since:
  3.1
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Annotation(org.apache.commons.jexl3.parser.JexlNode node, String name, Throwable cause)`
  Creates a new Annotation exception instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `detailedMessage()`
  Accesses the detailed message.
  `String`
  `getAnnotation()`
  Gets the annotation name

  ### Methods inherited from class org.apache.commons.jexl3.JexlException

  `annotationError, clean, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Annotation

    public Annotation(org.apache.commons.jexl3.parser.JexlNode node, String name, Throwable cause)
    Creates a new Annotation exception instance.
    Parameters:
      `node` - the annotated statement node
      `name` - the annotation name
      `cause` - the exception causing the error

- ## Method Details

  - ### detailedMessage

    protected String detailedMessage()
    Description copied from class: `JexlException`
    Accesses the detailed message.
    Overrides:
      `detailedMessage` in class `JexlException`
    Returns:
      the message

  - ### getAnnotation

    public String getAnnotation()
    Gets the annotation name
    Returns:
      the annotation name